package org.aohe.ssotoken.controller;

import org.aohe.ssotoken.utils.RedisUtil;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("redis")
@RestController
public class RedisController {
    
    final RedisUtil redisUtil;
    
    public RedisController(RedisUtil redisUtil) {
        this.redisUtil = redisUtil;
    }

    @PostMapping("add")
    public String addKey(String key, String value, Long time) {
        redisUtil.set(key, value, time);
        return "success";
    }
    
    @PostMapping("get")
    public String getKey(String key) {
        redisUtil.get(key);
        return "success";
    }
    
    @PostMapping("del")
    public String delKey(String key) {
        redisUtil.del(key);
        return "success";
    }
    
}
